// This file is automatically generated by sila2lib.proto_builder.proto_builder version 0.2.0
// :generation date: 2020-04-16 12:19:12
//
// ---- PLEASE DO NOT MODIFY MANUALLY !! ---

syntax = "proto3";
import "SiLAFramework.proto";
package sila2.org.silastandard.examples.redoxservicer.v1;

// Feature: Redox Servicer
//   
//           Control a DASGIP Redox module. Enables read and write operations for various parameters, including Redox sensor,
//   controller, and alarm.
//           By Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 20.05.2019
//   
service RedoxServicer {
    // Get PV
    //   Get present value
    rpc GetPV(sila2.org.silastandard.examples.redoxservicer.v1.GetPV_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetPV_Responses) {}
    // Set Manual Setpoint
    //   
    //           Set the manual Redox setpoint.
    //   
    rpc SetSPM(sila2.org.silastandard.examples.redoxservicer.v1.SetSPM_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetSPM_Responses) {}
    // Set External Setpoint
    //   
    //           Set the external Redox setpoint.
    //   
    rpc SetSPE(sila2.org.silastandard.examples.redoxservicer.v1.SetSPE_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetSPE_Responses) {}
    // Get SP
    //   Get setpoint value
    rpc GetSP(sila2.org.silastandard.examples.redoxservicer.v1.GetSP_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSP_Responses) {}
    // Get SPA
    //   Get automatic setpoint value
    rpc GetSPA(sila2.org.silastandard.examples.redoxservicer.v1.GetSPA_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSPA_Responses) {}
    // Get SPM
    //   Get manual setpoint value
    rpc GetSPM(sila2.org.silastandard.examples.redoxservicer.v1.GetSPM_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSPM_Responses) {}
    // Get SPE
    //   Get external setpoint value
    rpc GetSPE(sila2.org.silastandard.examples.redoxservicer.v1.GetSPE_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSPE_Responses) {}
    // Get SPR
    //   Get remote setpoint value
    rpc GetSPR(sila2.org.silastandard.examples.redoxservicer.v1.GetSPR_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSPR_Responses) {}
    // Get Access Mode
    //   Get access mode value. Controller access (Local, Remote).
    rpc GetAccess(sila2.org.silastandard.examples.redoxservicer.v1.GetAccess_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAccess_Responses) {}
    // Set Controller Command
    //   
    //           Set the controller command. Controller command (Nothing, Stop, Start).
    //   
    rpc SetCmd(sila2.org.silastandard.examples.redoxservicer.v1.SetCmd_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetCmd_Responses) {}
    // Get Controller Command
    //   Get the controller command. Controller command (Nothing, Stop, Start).
    rpc GetCmd(sila2.org.silastandard.examples.redoxservicer.v1.GetCmd_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetCmd_Responses) {}
    // Set Controller Mode
    //   
    //           Set the controller mode. Controller mode (Manual, Automatic).
    //   
    rpc SetMode(sila2.org.silastandard.examples.redoxservicer.v1.SetMode_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetMode_Responses) {}
    // Get Controller Mode
    //   Get the controller mode. Controller mode (Manual, Automatic).
    rpc GetMode(sila2.org.silastandard.examples.redoxservicer.v1.GetMode_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetMode_Responses) {}
    // Set SetpointSelect
    //   
    //           Set the selected setpoint that should be used. Setpoint selection (Local, Manual, Internal, Script, External).
    //   
    rpc SetSetpointSelect(sila2.org.silastandard.examples.redoxservicer.v1.SetSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetSetpointSelect_Responses) {}
    // Get SetpointSelect
    //   Get the setpoint selection. Controller state (Off, On, Error).
    rpc GetSetpointSelect(sila2.org.silastandard.examples.redoxservicer.v1.GetSetpointSelect_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSetpointSelect_Responses) {}
    // Get State
    //   Get controller state. Controller state (Off, On, Error).
    rpc GetState(sila2.org.silastandard.examples.redoxservicer.v1.GetState_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetState_Responses) {}
    // Get Function Type
    //   Get function type.
    rpc GetType(sila2.org.silastandard.examples.redoxservicer.v1.GetType_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetType_Responses) {}
    // Get Function Availability
    //   Get function availability.
    rpc GetAvailable(sila2.org.silastandard.examples.redoxservicer.v1.GetAvailable_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAvailable_Responses) {}
    // Get Function Name
    //   Get function name.
    rpc GetName(sila2.org.silastandard.examples.redoxservicer.v1.GetName_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetName_Responses) {}
    // Get Function Version
    //   Get function model version number.
    rpc GetVersion(sila2.org.silastandard.examples.redoxservicer.v1.GetVersion_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetVersion_Responses) {}
    // Set Sensor Offset
    //   
    //           Set the sensor offset value that should be used. Sensor offset calibration parameter.
    //   
    rpc SetSensorOffset(sila2.org.silastandard.examples.redoxservicer.v1.SetSensorOffset_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetSensorOffset_Responses) {}
    // Get Sensor Offset
    //   Get the sensor offset value that is used. Sensor offset calibration parameter.
    rpc GetSensorOffset(sila2.org.silastandard.examples.redoxservicer.v1.GetSensorOffset_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSensorOffset_Responses) {}
    // Get Sensor PVRaw
    //   Get the sensor present raw value. Actual process raw value.
    rpc GetSensorPVRaw(sila2.org.silastandard.examples.redoxservicer.v1.GetSensorPVRaw_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSensorPVRaw_Responses) {}
    // Set Sensor Compensation
    //   
    //           Set the sensor compensation value. Sensor temperature compensation parameter.
    //   
    rpc SetSensorCompensation(sila2.org.silastandard.examples.redoxservicer.v1.SetSensorCompensation_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetSensorCompensation_Responses) {}
    // Get Sensor Compensation
    //   Get the sensor compensation value. Sensor temperature compensation parameter.
    rpc GetSensorCompensation(sila2.org.silastandard.examples.redoxservicer.v1.GetSensorCompensation_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetSensorCompensation_Responses) {}
    // Set Controller DB
    //   
    //           Set the controller deadband value. PID controller: deadband (set to zero to disable).
    //   
    rpc SetControllerDB(sila2.org.silastandard.examples.redoxservicer.v1.SetControllerDB_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetControllerDB_Responses) {}
    // Get Controller DB
    //   Get the controller deadband value. PID controller: deadband (set to zero to disable).
    rpc GetControllerDB(sila2.org.silastandard.examples.redoxservicer.v1.GetControllerDB_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetControllerDB_Responses) {}
    // Get Controller Out
    //   Get the controller output value. PID controller: actual output value.
    rpc GetControllerOut(sila2.org.silastandard.examples.redoxservicer.v1.GetControllerOut_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetControllerOut_Responses) {}
    // Set Controller P
    //   
    //           Set the controller proportional parameter value. PID controller: proportional parameter.
    //   
    rpc SetControllerP(sila2.org.silastandard.examples.redoxservicer.v1.SetControllerP_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetControllerP_Responses) {}
    // Get Controller P
    //   Get the controller proportional parameter value. PID controller: proportional parameter.
    rpc GetControllerP(sila2.org.silastandard.examples.redoxservicer.v1.GetControllerP_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetControllerP_Responses) {}
    // Set Controller Td
    //   
    //           Set the controller differentiator time constant. PID controller: differentiator time constant (set to zero to
    //   disable).
    //   
    rpc SetControllerTd(sila2.org.silastandard.examples.redoxservicer.v1.SetControllerTd_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetControllerTd_Responses) {}
    // Get Controller Td
    //   Get the controller differentiator time constant. PID controller: differentiator time constant (set to zero to disable).
    rpc GetControllerTd(sila2.org.silastandard.examples.redoxservicer.v1.GetControllerTd_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetControllerTd_Responses) {}
    // Set Controller Ti
    //   
    //           Set the controller integrator time constant. PID controller: integrator time constant (set to zero to disable).
    //   
    rpc SetControllerTi(sila2.org.silastandard.examples.redoxservicer.v1.SetControllerTi_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetControllerTi_Responses) {}
    // Get Controller Ti
    //   Get the controller integrator time constant. PID controller: integrator time constant (set to zero to disable).
    rpc GetControllerTi(sila2.org.silastandard.examples.redoxservicer.v1.GetControllerTi_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetControllerTi_Responses) {}
    // Set Controller Min
    //   
    //           Set the controller minimal output value. PID controller: minimal output value.
    //   
    rpc SetControllerMin(sila2.org.silastandard.examples.redoxservicer.v1.SetControllerMin_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetControllerMin_Responses) {}
    // Get Controller Min
    //   Get the controller minimal output value. PID controller: minimal output value.
    rpc GetControllerMin(sila2.org.silastandard.examples.redoxservicer.v1.GetControllerMin_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetControllerMin_Responses) {}
    // Set Controller Max
    //   
    //           Set the controller maximal output value. PID controller: maximal output value.
    //   
    rpc SetControllerMax(sila2.org.silastandard.examples.redoxservicer.v1.SetControllerMax_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetControllerMax_Responses) {}
    // Get Controller Max
    //   Get the controller maximal output value. PID controller: maximal output value.
    rpc GetControllerMax(sila2.org.silastandard.examples.redoxservicer.v1.GetControllerMax_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetControllerMax_Responses) {}
    // Set Alarm Enabled
    //   
    //           Set the alarm enabled value. Enables alarm function.
    //   
    rpc SetAlarmEnabled(sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmEnabled_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmEnabled_Responses) {}
    // Get Alarm Enabled
    //   Get the alarm enabled value. Enables alarm function.
    rpc GetAlarmEnabled(sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmEnabled_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmEnabled_Responses) {}
    // Set Alarm AlarmHigh
    //   
    //           Set the alarm alarmhigh value. Higher alarm limit.
    //   
    rpc SetAlarmAlarmHigh(sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmAlarmHigh_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmAlarmHigh_Responses) {}
    // Get Alarm AlarmHigh
    //   Get the alarm alarmhigh value. Higher alarm limit.
    rpc GetAlarmAlarmHigh(sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmAlarmHigh_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmAlarmHigh_Responses) {}
    // Set Alarm AlarmLow
    //   
    //           Set the alarm alarmlow value. Lower alarm limit.
    //   
    rpc SetAlarmAlarmLow(sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmAlarmLow_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmAlarmLow_Responses) {}
    // Get Alarm AlarmLow
    //   Get the alarm alarmlow value. Lower alarm limit.
    rpc GetAlarmAlarmLow(sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmAlarmLow_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmAlarmLow_Responses) {}
    // Set Alarm Mode
    //   
    //           Set the alarm mode value. Alarm mode.
    //   
    rpc SetAlarmMode(sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmMode_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmMode_Responses) {}
    // Get Alarm Mode
    //   Get the alarm mode value. Alarm mode.
    rpc GetAlarmMode(sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmMode_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmMode_Responses) {}
    // Get Alarm State
    //   Get the alarm state value. Alarm state.
    rpc GetAlarmState(sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmState_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmState_Responses) {}
    // Set Alarm Delay
    //   
    //           Set the alarm delay value. Alarm hysteresis time.
    //   
    rpc SetAlarmDelay(sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmDelay_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmDelay_Responses) {}
    // Get Alarm Delay
    //   Get the alarm delay value.Alarm hysteresis time.
    rpc GetAlarmDelay(sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmDelay_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmDelay_Responses) {}
    // Set Alarm WarnHigh
    //   
    //           Set the alarm higher warning value. Higher warning limit.
    //   
    rpc SetAlarmWarnHigh(sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmWarnHigh_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmWarnHigh_Responses) {}
    // Get Alarm WarnHigh
    //   Get the alarm higher warning value. Higher warning limit.
    rpc GetAlarmWarnHigh(sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmWarnHigh_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmWarnHigh_Responses) {}
    // Set Alarm WarnLow
    //   
    //           Set the alarm lower warning value. Lower warning limit.
    //   
    rpc SetAlarmWarnLow(sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmWarnLow_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.SetAlarmWarnLow_Responses) {}
    // Get Alarm WarnLow
    //   Get the alarm lower warning value. Lower warning limit.
    rpc GetAlarmWarnLow(sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmWarnLow_Parameters) returns (sila2.org.silastandard.examples.redoxservicer.v1.GetAlarmWarnLow_Responses) {}
    
    
}

// ----------------- Data Type definitions -----------------


// ------ Command Parameter and Response definitions -------
message GetPV_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetPV_Responses {
    sila2.org.silastandard.Real CurrentPV = 1;
}

message SetSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SPM = 2;
}

message SetSPM_Responses {
    sila2.org.silastandard.Real SPMSet = 1;
}

message SetSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SPE = 2;
}

message SetSPE_Responses {
    sila2.org.silastandard.Real SPESet = 1;
}

message GetSP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSP_Responses {
    sila2.org.silastandard.Real CurrentSP = 1;
}

message GetSPA_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSPA_Responses {
    sila2.org.silastandard.Real CurrentSPA = 1;
}

message GetSPM_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSPM_Responses {
    sila2.org.silastandard.Real CurrentSPM = 1;
}

message GetSPE_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSPE_Responses {
    sila2.org.silastandard.Real CurrentSPE = 1;
}

message GetSPR_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSPR_Responses {
    sila2.org.silastandard.Real CurrentSPR = 1;
}

message GetAccess_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAccess_Responses {
    sila2.org.silastandard.Integer CurrentAccess = 1;
}

message SetCmd_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer Cmd = 2;
}

message SetCmd_Responses {
    sila2.org.silastandard.Integer CmdSet = 1;
}

message GetCmd_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetCmd_Responses {
    sila2.org.silastandard.Integer CurrentCmd = 1;
}

message SetMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer Mode = 2;
}

message SetMode_Responses {
    sila2.org.silastandard.Integer ModeSet = 1;
}

message GetMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetMode_Responses {
    sila2.org.silastandard.Integer CurrentMode = 1;
}

message SetSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer SetpointSelect = 2;
}

message SetSetpointSelect_Responses {
    sila2.org.silastandard.Integer SetpointSelectSet = 1;
}

message GetSetpointSelect_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSetpointSelect_Responses {
    sila2.org.silastandard.Integer CurrentSetpointSelect = 1;
}

message GetState_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetState_Responses {
    sila2.org.silastandard.Integer CurrentState = 1;
}

message GetType_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetType_Responses {
    sila2.org.silastandard.String CurrentType = 1;
}

message GetAvailable_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAvailable_Responses {
    sila2.org.silastandard.Integer CurrentAvailable = 1;
}

message GetName_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetName_Responses {
    sila2.org.silastandard.String CurrentName = 1;
}

message GetVersion_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetVersion_Responses {
    sila2.org.silastandard.String CurrentVersion = 1;
}

message SetSensorOffset_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SensorOffset = 2;
}

message SetSensorOffset_Responses {
    sila2.org.silastandard.Real SensorOffsetSet = 1;
}

message GetSensorOffset_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSensorOffset_Responses {
    sila2.org.silastandard.Real CurrentSensorOffset = 1;
}

message GetSensorPVRaw_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSensorPVRaw_Responses {
    sila2.org.silastandard.Real CurrentSensorPVRaw = 1;
}

message SetSensorCompensation_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real SensorCompensation = 2;
}

message SetSensorCompensation_Responses {
    sila2.org.silastandard.Real SensorCompensationSet = 1;
}

message GetSensorCompensation_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetSensorCompensation_Responses {
    sila2.org.silastandard.Real CurrentSensorCompensation = 1;
}

message SetControllerDB_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ControllerDB = 2;
}

message SetControllerDB_Responses {
    sila2.org.silastandard.Real ControllerDBSet = 1;
}

message GetControllerDB_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetControllerDB_Responses {
    sila2.org.silastandard.Real CurrentControllerDB = 1;
}

message GetControllerOut_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetControllerOut_Responses {
    sila2.org.silastandard.Real CurrentControllerOut = 1;
}

message SetControllerP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ControllerP = 2;
}

message SetControllerP_Responses {
    sila2.org.silastandard.Real ControllerPSet = 1;
}

message GetControllerP_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetControllerP_Responses {
    sila2.org.silastandard.Real CurrentControllerP = 1;
}

message SetControllerTd_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ControllerTd = 2;
}

message SetControllerTd_Responses {
    sila2.org.silastandard.Real ControllerTdSet = 1;
}

message GetControllerTd_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetControllerTd_Responses {
    sila2.org.silastandard.Real CurrentControllerTd = 1;
}

message SetControllerTi_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ControllerTi = 2;
}

message SetControllerTi_Responses {
    sila2.org.silastandard.Real ControllerTiSet = 1;
}

message GetControllerTi_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetControllerTi_Responses {
    sila2.org.silastandard.Real CurrentControllerTi = 1;
}

message SetControllerMin_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ControllerMin = 2;
}

message SetControllerMin_Responses {
    sila2.org.silastandard.Real ControllerMinSet = 1;
}

message GetControllerMin_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetControllerMin_Responses {
    sila2.org.silastandard.Real CurrentControllerMin = 1;
}

message SetControllerMax_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real ControllerMax = 2;
}

message SetControllerMax_Responses {
    sila2.org.silastandard.Real ControllerMaxSet = 1;
}

message GetControllerMax_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetControllerMax_Responses {
    sila2.org.silastandard.Real CurrentControllerMax = 1;
}

message SetAlarmEnabled_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer AlarmEnabled = 2;
}

message SetAlarmEnabled_Responses {
    sila2.org.silastandard.Integer AlarmEnabledSet = 1;
}

message GetAlarmEnabled_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAlarmEnabled_Responses {
    sila2.org.silastandard.Integer CurrentAlarmEnabled = 1;
}

message SetAlarmAlarmHigh_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real AlarmAlarmHigh = 2;
}

message SetAlarmAlarmHigh_Responses {
    sila2.org.silastandard.Real AlarmAlarmHighSet = 1;
}

message GetAlarmAlarmHigh_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAlarmAlarmHigh_Responses {
    sila2.org.silastandard.Real CurrentAlarmAlarmHigh = 1;
}

message SetAlarmAlarmLow_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real AlarmAlarmLow = 2;
}

message SetAlarmAlarmLow_Responses {
    sila2.org.silastandard.Real AlarmAlarmLowSet = 1;
}

message GetAlarmAlarmLow_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAlarmAlarmLow_Responses {
    sila2.org.silastandard.Real CurrentAlarmAlarmLow = 1;
}

message SetAlarmMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer AlarmMode = 2;
}

message SetAlarmMode_Responses {
    sila2.org.silastandard.Integer AlarmModeSet = 1;
}

message GetAlarmMode_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAlarmMode_Responses {
    sila2.org.silastandard.Integer CurrentAlarmMode = 1;
}

message GetAlarmState_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAlarmState_Responses {
    sila2.org.silastandard.Integer CurrentAlarmState = 1;
}

message SetAlarmDelay_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real AlarmDelay = 2;
}

message SetAlarmDelay_Responses {
    sila2.org.silastandard.Real AlarmDelaySet = 1;
}

message GetAlarmDelay_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAlarmDelay_Responses {
    sila2.org.silastandard.Real CurrentAlarmDelay = 1;
}

message SetAlarmWarnHigh_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real AlarmWarnHigh = 2;
}

message SetAlarmWarnHigh_Responses {
    sila2.org.silastandard.Real AlarmWarnHighSet = 1;
}

message GetAlarmWarnHigh_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAlarmWarnHigh_Responses {
    sila2.org.silastandard.Real CurrentAlarmWarnHigh = 1;
}

message SetAlarmWarnLow_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Real AlarmWarnLow = 2;
}

message SetAlarmWarnLow_Responses {
    sila2.org.silastandard.Real AlarmWarnLowSet = 1;
}

message GetAlarmWarnLow_Parameters {
    // Constrained type, not reflected in protocol buffers
    sila2.org.silastandard.Integer UnitID = 1;
}

message GetAlarmWarnLow_Responses {
    sila2.org.silastandard.Real CurrentAlarmWarnLow = 1;
}


// ----------------- Metadata Definitions ------------------
